Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Change color and layer

Status
Not open for further replies.

jopal

Automotive
Dec 5, 2007
121
CA
Let me start by saying I know nothing about scripting. I copied this out of the portable script center.

I'm looking for this script to do exactly what it does, except I want it to pick everything visible on my screen, as opposed to the user selecting a single face. Can this be done?


Sub CATMain()



Dim partDocument1 As Documents

Set partDocument1 = Catia.ActiveDocument



Dim part1 As Parts

Set part1 = partDocument1.Part



Dim selection As Selection

Set selection = Catia.ActiveDocument.Selection



Dim hybridShapeFactory1 As HybridShapeFactory

Set hybridShapeFactory1 = part1.HybridShapeFactory



'~ setup filter

ReDim sFilter(0)

MsgBox "Select a Face"

sFilter(0) = "Face"

sStatus = Selection.SelectElement2(sFilter, "select a Face", False)



Dim Obj As VispProperties

Set Obj = Selection.VisProperties



Set visProperties1 = CATIA.ActiveDocument.Selection.VisProperties



'~ change layer

visProperties1.SetLayer catVisLayerBasic, 200



'~ change colour

Obj.SetRealColor 100,10,255,0

Obj.SetRealLineType 4,0

Obj.SetRealWidth 100,0



part1.Update



End Sub



 
Replies continue below

Recommended for you

You could fill the selection filter with the search function. Use the record macro button and setup the filter.

Language="VBSCRIPT"

Sub CATMain()

Set partDocument1 = CATIA.ActiveDocument

Set selection1 = partDocument1.Selection

selection1.Search "((CATGmoSearch.Surface + CATGmoSearch.Curve) - CATGmoSearch.Plane),scr"

End Sub


Regards,
Derek


Win XP64
21SP6/22SP4, 3DVIA Composer 2013X, ST R20
Dell T7400 16GB Ram
Quadro FX 4800 - 1.5GB
 
 http://files.engineering.com/getfile.aspx?folder=26142aea-9881-4f38-9b4d-ae26f25d9867&file=Adv_Search.JPG
I'll still cant seem to get it all to work together....do i copy this new part of code into my previous code
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor

Top